<?php
/**
 * ProductsApiTest
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi PIM.
 *
 * PIM
 *
 * The version of the OpenAPI document: 1.0.0
 * 
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the endpoint.
 */

namespace Ensi\PimClient;

use \Ensi\PimClient\Configuration;
use \Ensi\PimClient\ApiException;
use \Ensi\PimClient\ObjectSerializer;
use PHPUnit\Framework\TestCase;

/**
 * ProductsApiTest Class Doc Comment
 *
 * @category Class
 * @package  Ensi\PimClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class ProductsApiTest extends TestCase
{

    /**
     * Setup before running any test cases
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test case for createProduct
     *
     * Creating an object of Product.
     *
     */
    public function testCreateProduct()
    {
    }

    /**
     * Test case for deleteProduct
     *
     * Deleting an object of Product.
     *
     */
    public function testDeleteProduct()
    {
    }

    /**
     * Test case for deleteProductAttributes
     *
     * Deleting object of ProductAttribute.
     *
     */
    public function testDeleteProductAttributes()
    {
    }

    /**
     * Test case for deleteProductImage
     *
     * Deleting product image.
     *
     */
    public function testDeleteProductImage()
    {
    }

    /**
     * Test case for getProduct
     *
     * Get the object of Product by ID.
     *
     */
    public function testGetProduct()
    {
    }

    /**
     * Test case for getProductDraft
     *
     * Get the object of ProductDraft by ID.
     *
     */
    public function testGetProductDraft()
    {
    }

    /**
     * Test case for getProductsCommonAttributes
     *
     * Getting common attributes for selected products.
     *
     */
    public function testGetProductsCommonAttributes()
    {
    }

    /**
     * Test case for massDeleteProducts
     *
     * Mass deleting of object Product.
     *
     */
    public function testMassDeleteProducts()
    {
    }

    /**
     * Test case for massPatchProducts
     *
     * Mass patching of object Product.
     *
     */
    public function testMassPatchProducts()
    {
    }

    /**
     * Test case for massPatchProductsByQuery
     *
     * Mass patching of object Product by filter.
     *
     */
    public function testMassPatchProductsByQuery()
    {
    }

    /**
     * Test case for patchProduct
     *
     * Patching an object of Product.
     *
     */
    public function testPatchProduct()
    {
    }

    /**
     * Test case for patchProductAttributes
     *
     * Patching product attributes.
     *
     */
    public function testPatchProductAttributes()
    {
    }

    /**
     * Test case for patchProductImages
     *
     * Patching product images.
     *
     */
    public function testPatchProductImages()
    {
    }

    /**
     * Test case for preloadProductImage
     *
     * Upload image for product or product attribute.
     *
     */
    public function testPreloadProductImage()
    {
    }

    /**
     * Test case for replaceProduct
     *
     * Replacing an object of Product.
     *
     */
    public function testReplaceProduct()
    {
    }

    /**
     * Test case for replaceProductAttributes
     *
     * Replacing all product attributes.
     *
     */
    public function testReplaceProductAttributes()
    {
    }

    /**
     * Test case for replaceProductImages
     *
     * Replacing all product images.
     *
     */
    public function testReplaceProductImages()
    {
    }

    /**
     * Test case for searchProductDrafts
     *
     * Search for objects of ProductDraft.
     *
     */
    public function testSearchProductDrafts()
    {
    }

    /**
     * Test case for searchProducts
     *
     * Search for objects of Product.
     *
     */
    public function testSearchProducts()
    {
    }

    /**
     * Test case for uploadProductImage
     *
     * Uploading product image.
     *
     */
    public function testUploadProductImage()
    {
    }
}
